#!/usr/bin/env python

from MoinMessage import GPG
from email.parser import Parser
import sys

if __name__ == "__main__":
    message = Parser().parse(sys.stdin)
    declaration, content = message.get_payload()

    if len(sys.argv) > 1:
        gpg = GPG(sys.argv[1])
    else:
        gpg = GPG()
    text = gpg.decryptMessageText(content.get_payload())

    # Show the resulting message text.

    print text

# vim: tabstop=4 expandtab shiftwidth=4
